Subject: Re: [PATCH rdma-next 0/2] Provide already supported real-time timestamp

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 21 Jun 2021 20:37:34 -0300

On Wed, Jun 16, 2021 at 10:57:37AM +0300, Leon Romanovsky wrote:
> From: Leon Romanovsky <[email-masked]>
> 
> In case device supports only real-time timestamp, the kernel will
> fail to create QP despite rdma-core requested such timestamp type.
> 
> It is because device returns free-running timestamp, and the conversion
> from free-running to real-time is performed in the user space.
> 
> This series fixes it, by returning real-time timestamp.
> 
> Thanks
> 
> Aharon Landau (2):
>   RDMA/mlx5: Refactor get_ts_format functions to simplify code
>   RDMA/mlx5: Support real-time timestamp directly from the device

This looks fine, can you update the shared branch please

Jason